Create Installment

Creates an installment plan for a customer in Asaas.

Use this operation to directly create an installment plan with two or more installments. In this route, value represents the value of each installment; the installmentValue field, used in the installment flow via /v3/payments, is not part of the POST /v3/installments contract.

⚠️

One-time payment

Do not use this endpoint for single-installment payments.

Create the payment through Create new payment.

Each payment generated by the installment has its own lifecycle. Use the payment Webhooks to track payments and subsequent status changes.

Related content

Guides

Body Params
int32
required

Number of installments

string
required

Unique customer identifier in Asaas

number
required

Value of each installment

number

Total installment amount

string
enum
required

Payment billing type

Allowed:
date
required

Due date of the first installment

string

Installment description (max. 500 characters)

boolean

Define whether the payment will be sent via post

int32

Days after registration cancellation deadline (only for bank slip)

string

Free search field

discount
object

Discount information

interest
object

Interest information for payment after due date

fine
object

Fine information for payment after due date

splits
array of objects

Split Settings

splits
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json